/* gInfo - Copyright (C) 2004 bakunin - Andrea Marchesini 
 *                                      <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#else
# error Use configure; make; make install
#endif

#include <editor.h>

int
main (int argc, char *argv[])
{
  if (argc > 2)
    usage (1);

  if (argc == 2 && (!strcmp (argv[1], "-h") || !strcmp (argv[1], "--help")))
    usage (0);

  gtk_init (NULL, NULL);

  if (graphic_create_window ())
    return 1;

  preferences_open ();

  if (argc == 2)
    editor_open_file (argv[1]);
  else editor_new(NULL, NULL);

  gtk_main ();

  return 0;
}

void
fatal (char *str, ...)
{
  va_list va;

  va_start (va, str);

  fprintf (stderr, "* ");
  vfprintf (stderr, str, va);
  fprintf (stderr, "\n");

  va_end (va);

  exit (1);
}

void
usage (int r)
{

  fprintf (stderr, "%s %s - %s - %s\n\n", NAME, VERSION, AUTHOR, COPYRIGHT);
  fprintf (stderr, "\t%s [file.xml|file.c]\n\n", NAME);

  exit (r);
}

/* EOF */
